Page MenuHomePhabricator

[CUDA] Add section to docs about controlling fp optimizations.
ClosedPublic

Authored by jlebar on May 20 2016, 2:26 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

jlebar updated this revision to Diff 57991.May 20 2016, 2:26 PM
jlebar retitled this revision from to [CUDA] Add section to docs about controlling fp optimizations..
jlebar updated this object.
jlebar added a reviewer: rnk.
jlebar added subscribers: tra, llvm-commits.
jlebar updated this revision to Diff 57992.May 20 2016, 2:29 PM

Clarify that -fp-contract='fast' default is just for CUDA device code.

tra added inline comments.May 20 2016, 3:13 PM
docs/CompileCudaWithLLVM.rst
160 ↗(On Diff #57992)

It's actually for both host and device. The idea was to keep host & device behavior as close to each other as we can.

jlebar updated this revision to Diff 58124.May 23 2016, 11:30 AM

Update per tra's comment that fp-contract=fast is set on both the host and device.

jlebar updated this revision to Diff 58125.May 23 2016, 11:32 AM
jlebar marked an inline comment as done.

Remove unrelated changes accidentally included in last revision.

Thanks, Art!

rnk accepted this revision.May 25 2016, 4:04 PM
rnk edited edge metadata.

lgtm

docs/CompileCudaWithLLVM.rst
166–168 ↗(On Diff #58125)

Do we actually know how to honor the C11 semantics?

This revision is now accepted and ready to land.May 25 2016, 4:04 PM
jlebar added inline comments.May 25 2016, 4:07 PM
docs/CompileCudaWithLLVM.rst
166–168 ↗(On Diff #58125)

My understanding from talking to Chandler was that this was the intent of "on". But there is a good chance I misunderstood.

This revision was automatically updated to reflect the committed changes.